Subject: [dhcwg] WGLC for draft-ietf-dhc-v6only - Respond by 5/25/2020

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 11 May 2020 13:01:16 +0000

Hello:

The authors have requested a WGLC for draft-ietf-dhc-v6only (IPv6-Only-Preferred Option for DHCP). This starts a 2 week WGLC for this document.

Please review this document and provide your comments and whether you support this document moving forward or not by May 25th, 2020 (23:59 UTC).

Please see https://tools.ietf.org/html/draft-ietf-dhc-v6only. This is a Standards Track document.

There are no IPR notices filed against this work (as of this writing).

Thank you!

  *   Tomek & Bernie

---

From: Chuck Anderson <[email-masked]>
Date: Mon, 11 May 2020 10:16:46 -0400

I support moving this document forward.

On Mon, May 11, 2020 at 01:01:16PM +0000, Bernie Volz (volz) wrote:
> Please see https://tools.ietf.org/html/draft-ietf-dhc-v6only This is a Standards Track document.
>

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Sun, 17 May 2020 14:56:48 +0000

Hi,

I have reviewed the draft and I support moving it forward.

It is important that this work simplifies the incremental deployment of IPv6-only networks and eases the IPv6 adoption.

A few comments and clarification questions.

1.      Page 4, "IPv6-only network", "...via NAT64 [RFC6147].", should be [RFC6146], maybe a typo.

2.      Page 4, Section 2, "... both IPv6-capable and IPv4-requiring devices...".

a)       Is the "IPv6-capable devices" the "IPv6-only capable host" as defined in the Terminology part?

b)       "IPv4-requiring devices" is not defined, and it is only mentioned once in the draft. It would be better to be more clear about what it refers to.

3.      Page 6, "If a host is not capable of operating in an IPv6-only NAT64 environment ...". Could you please be a bit explicit about what kind of host it would be? Thank you!

Best regards,
Shuping

From: v6ops [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Monday, May 11, 2020 9:01 PM
To: [email-masked]
Cc: IPv6 Operations <[email-masked]>
Subject: [v6ops] WGLC for draft-ietf-dhc-v6only - Respond by 5/25/2020

Hello:

Thank you!

-        Tomek & Bernie

---

From: Yannis Nikolopoulos <[email-masked]>
Date: Mon, 18 May 2020 22:02:52 +0300

I too, support moving this document forward

On 5/11/20 5:16 PM, Chuck Anderson wrote:
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Timothy Winters <[email-masked]>
Date: Mon, 18 May 2020 17:48:14 -0400

I’ve read this document and support it it advancing.

Tim

On Mon, May 18, 2020 at 3:05 PM Yannis Nikolopoulos <[email-masked]>
wrote:

> >> The authors have requested a WGLC for draft-ietf-dhc-v6only
> (IPv6-Only-Preferred Option for DHCP). This starts a 2 week WGLC for this
> document.
> >>
> >> Please review this document and provide your comments and whether you
> support this document moving forward or not by May 25th, 2020 (23:59 UTC).
> >>
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>

---

From: Dmytro Shytyi <[email-masked]>
Date: Wed, 20 May 2020 17:18:49 +0200

Hello,

I support the introdution of ipv6 only option in dhcp.

______________
Dmytro SHYTYI

---- On Mon, 18 May 2020 23:48:14 +0200 Timothy Winters <[email-masked]> wrote ----

Tim

On Mon, May 18, 2020 at 3:05 PM Yannis Nikolopoulos <mailto:[email-masked]> wrote:

v6ops mailing list 

mailto:[email-masked] 

 
 On 5/11/20 5:16 PM, Chuck Anderson wrote:
 > mailto:[email-masked]
 
 mailto:[email-masked]

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 27 May 2020 18:58:52 +0000

Hello:

I for the dhc WG chairs, as Tomek is a document author, and in agreement with the v6ops WG chairs, have determined this document passed WGLC.

There were some WGLC comments (in particular, https://mailarchive.ietf.org/arch/msg/v6ops/BfhD_wUVKrVVQIzV4tsw9cualr0/) and the authors need to address these before the document can be sent on.

As shepherd, I will also complete the shepherd review and may have a few additional comments.

However, we do hope to send the document on to our AD and IESG shortly.

Thanks to those that commented during the WGLC and in developing this document. Thanks to the authors for their work on the document.

  *   Bernie

From: dhcwg <[email-masked]> On Behalf Of Bernie Volz (volz)
Sent: Monday, May 11, 2020 9:01 AM
To: [email-masked]
Cc: IPv6 Operations <[email-masked]>
Subject: [dhcwg] WGLC for draft-ietf-dhc-v6only - Respond by 5/25/2020

Hello:

Thank you!

  *   Tomek & Bernie

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 27 May 2020 19:37:12 +0000

In regards to the shepherd review, I have the following mostly nits:

  1.  "Behaviour" is used whereas I think the IETF generally uses American English so "behavior" would be more appropriate?
  2.  The acknowledgements has "(AI: add more names here)" that should likely be removed now? Or are there additional names that you planned to add?
  3.  Per the Shepherd Write-up: "Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.":
     *   The header specifies "Updates: 2563"
     *   The Abstract does not indicate that it updates RFC2563.
     *   The Introduction does not indicate that it updates RFC2563.

It would be a good idea to modify the Abstract and Introduction to include a mention of the updated RFC.

  1.  It might be wise to widen the "field name" in the table in 3.1 to allow for a bit more room and clean up the formatting of the description text (such as for Value).

Thanks much!

  *   Bernie

From: Bernie Volz (volz)
Sent: Wednesday, May 27, 2020 2:59 PM
To: [email-masked]
Cc: IPv6 Operations <[email-masked]>
Subject: RE: WGLC for draft-ietf-dhc-v6only - Respond by 5/25/2020

Hello:

  *   Bernie

Hello:

Thank you!

  *   Tomek & Bernie

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 28 May 2020 08:24:32 +1200

On 28-May-20 07:37, Bernie Volz (volz) wrote:
...
>  1. “Behaviour” is used whereas I think the IETF generally uses American English so “behavior” would be more appropriate?

As far as I know, the RFC Editor aims at consistency within a document, so either all "behaviour" or all "behavior" is OK, and the same for other transatlantic spelling preferences.

     Brian

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 27 May 2020 20:37:20 +0000

Cool. And then the usage is consistent across the document and thus not an issue. Thanks.

- Bernie

-----Original Message-----
From: Brian E Carpenter <[email-masked]> 
Sent: Wednesday, May 27, 2020 4:25 PM
To: Bernie Volz (volz) <[email-masked]>; [email-masked]
Cc: [email-masked]; IPv6 Operations <[email-masked]>
Subject: Re: [v6ops] WGLC for draft-ietf-dhc-v6only - Respond by 5/25/2020

     Brian